import { z } from 'zod'

export default class MEMBER_IN_NETWORK {
    prefix = "MEMBER_IN_NETWORK"
    indices = null

    constructor(indices) {
        this.indices = indices
    }

    schema = z.object({
        id: z.number(),
        from: z.string(),
        to: z.string(),
        created: z.string()
    })
    .strict()

    getByFrom(fromID) {
        let result = []
        for(let i = this.indices[0]; i < this.indices[1]; i++) {
            if(global.db.edges[i].from === fromID) {
                result.push(global.db.edges[i])
            }
        }
        return result
    }
}